Subject: What does this quote make of Terrance Tom's purpose now??
From: [email-masked]
Date: Wed, 2 Apr 1997 18:46:48 -0500 (EST)

Aloha Folks,

Good buddy Martin Rice from Kauai dug up for our memories the following quote
from Rep. Terrance Tom who is pushing a constitutional amendment eliminating
Gay men and women from the equal protection clause of our state constitution.
He made this statement less than 60 days from when he introduced and pushed
the first anti-amendment.  Have fun

Bill
Hawaii Gay Marriage Project

 "Some people have suggested reversing the Supreme Court's decision by
  tinkering with the equal protection or sex discrimination clause of our
    Constitution.   Such an amendment is unnecessary, and this proposal 
   offends my sense of fairness to all our citizens.   Any campaign that
     seeks to isolate a portion of our people from the benefits of our 
  Constitution would be both mean spirited and divisive to our community."

                         --Hawai`i State Representative Terrance Tom, 1993